"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.buildDefaultContext = exports.buildDefaultConfig = exports.defaultPathFormatter = void 0;
const defaultPathFormatter = (key, isArr) => isArr ? `[${key}]` : `["${key}"]`;
exports.defaultPathFormatter = defaultPathFormatter;
function buildDefaultConfig() {
    return {
        traversalMode: 'depth',
        rootObjectCallbacks: true,
        runCallbacks: true,
        graphMode: 'finiteTree',
        parallelizeAsyncCallbacks: false,
        callbacks: []
    };
}
exports.buildDefaultConfig = buildDefaultConfig;
function buildDefaultContext(config) {
    return {
        config: Object.assign(Object.assign({}, buildDefaultConfig()), config),
        seenObjects: [],
        callbacksByPosition: {
            "preWalk": [],
            "postWalk": []
        },
    };
}
exports.buildDefaultContext = buildDefaultContext;
